/* Copyright 2009 Palm, Inc.  All rights reserved. */

EndTwoAssistant = Class.create({
		
	initialize: function() {
		
	},
	
	setup: function() {
		this.controller.enableFullScreenMode(true);
		this.timer = setTimeout(this.showHaveFun.bind(this), 4000);	
	},
	
	handleCommand : function(event) {
		if (event.type == Mojo.Event.back) {
			event.stop();
            event.preventDefault();
            event.stopPropagation();
		}
  	},
	
	showHaveFun: function () {
		Mojo.Controller.stageController.swapScene({name:"end-three",transition:Mojo.Transition.crossFade});
	}
	
});
